org.apache.cassandra.db

## Class CounterMutationVerbHandler

- java.lang.Object
- - org.apache.cassandra.db.CounterMutationVerbHandler

All Implemented Interfaces:
  IVerbHandler<CounterMutation>

    public class CounterMutationVerbHandler
    extends java.lang.Object
    implements IVerbHandler<CounterMutation>

### Constructor Summary

Constructors
Constructor and Description
`CounterMutationVerbHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doVerb(MessageIn<CounterMutation> message, int id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CounterMutationVerbHandler

    public CounterMutationVerbHandler()

### Method Detail

#### doVerb

    public void doVerb(MessageIn<CounterMutation> message,
                       int id)

Description copied from interface: `IVerbHandler`
This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

Specified by:
  `doVerb` in interface `IVerbHandler<CounterMutation>`
Parameters:
  `message` - - incoming message that needs handling.